%define _htmldir /var/www/html

Name: free-sa
Version: 1.3.3
Release: alt1

Packager: Avramenko Andrew <liks@altlinux.ru>
Summary: Squid report generator per user/ip/name
URL: http://free-sa.sourceforge.net/
Source: %name-%version.tar
Patch0: %name-as-needed.patch
Patch1: %name-alt-makefile.patch
Patch2: %name-alt-global.mk.patch

License: GPL
Group: Monitoring

%description
Free-SA is statistic analyzer for daemons log files similar to SARG. 
Its main advantages over SARG are much better speed (7x-20x times), 
more reports support, crossplatform work and W3C compliance of generated 
HTML/CSS reports code.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0

%build
%make

%install
make install DESTDIR=%buildroot
mkdir -p %buildroot/%_mandir
mkdir -p %buildroot/%_sysconfdir/%name
mv %buildroot/usr/man/* %buildroot/%_mandir/
rm -rf %buildroot/usr/man
mv %buildroot%_sysconfdir/%name/%name.conf.sample %buildroot/%_sysconfdir/%name/%name.conf

%files
%defattr(-,root,squid)
%_man1dir/*
%_man5dir/*
%_bindir/%name
%_datadir/%name/*
%_datadir/doc/%name-%version/*
%config(noreplace) %_sysconfdir/%name/*
%attr(0775,root,squid) %dir %_htmldir/%name
%_htmldir/%name/*
%dir /var/cache/%name

%changelog
* Tue Aug  7 2007 Avramenko Andrew <liks@altlinux.ru> 1.3.3-alt1
- Initial build for sisyphus.
